package org.apache.ws.resource.example.filesystem;

import org.apache.ws.resource.ResourceContext;

/**
 * **** NOTE: This file will not be overwritten during generation ****
 *
 * This class should be generated ONCE (and not overwritten) to maintain user-added code.
 * If there is a change to the WSDL, then the generated implemented interfaces
 * (representing the "base" portTypes) will change, thus showing a compile error to the
 * user.
 *
 * NOTE: This class is generated. However, it will not be overwritten by subsequent
 *       calls to the code generator.
 *
 */
public class FilesystemService
   extends AbstractFilesystemService 
   implements FilesystemCustomOperationsPortType
{

   /**
    * Creates a new {@link FilesystemService } object.
    *
    * @param resourceContext DOCUMENT_ME
    */
   public FilesystemService( ResourceContext resourceContext )
   {
      super(resourceContext);
      init();
   }
   
   public org.apache.ws.resource.example.filesystem.UnmountResponseDocument Unmount( org.apache.ws.resource.example.filesystem.UnmountDocument requestDoc ) throws org.apache.ws.resource.example.filesystem.MountDeviceBusyFaultException
   {              
     	org.apache.ws.resource.example.filesystem.UnmountResponseDocument responseDocument = org.apache.ws.resource.example.filesystem.UnmountResponseDocument.Factory.newInstance();	
     	org.apache.ws.resource.example.filesystem.UnmountResponseDocument.UnmountResponse  response = responseDocument.addNewUnmountResponse();
     	//TODO implement method and populate the response object 
     	return responseDocument;
   }
      
   public org.apache.ws.resource.example.filesystem.MountResponseDocument Mount( org.apache.ws.resource.example.filesystem.MountDocument requestDoc ) throws org.apache.ws.resource.example.filesystem.MountDeviceBusyFaultException
   {              
     	org.apache.ws.resource.example.filesystem.MountResponseDocument responseDocument = org.apache.ws.resource.example.filesystem.MountResponseDocument.Factory.newInstance();	
     	org.apache.ws.resource.example.filesystem.MountResponseDocument.MountResponse  response = responseDocument.addNewMountResponse();
     	//TODO implement method and populate the response object 
     	return responseDocument;
   }

}
